/******************************************************************************
*
*  MultiTool Sun 3/4 Standalone	Constant Definitions
*
*  File : "return.h"
*
*  Date : 890731
*
*  Copyright PARSYTEC 1989
*
******************************************************************************/

/* With this version a completely new interface to transputer-hardware
 * is used. For more details see the according documentation.
 * This interface is supplied for compatibiliy reasons.
 * All terminate codes above with '(see terrno)' comment, leave a more
 * detailed information in the global variable 'int terrno'. Its
 * content may be decoded using the fnction 'lerror(err-code)' returning
 * a pointer to error message, or using the 'vmeboard.h' include-file
 * from the new link-interface.
 */

/* Terminate codes */
#define T_OK		0	/* everything allright */
#define T_INIT		1	/* failed to open link (see terrno) */
#define	T_WRITE		2	/* error during link-output (see terrno) */
#define	T_READ		3	/* error during link-input  (see terrno) */
#define	T_RESET		4	/* failed to reset link (see terrno) */
#define	T_SEND		5	/* error writing boot-file (see terrno) */
#define	T_TIMEOUT	6	/* timeout period exceeded */
#define	T_FILE_OPEN	7	/* cannot open code-file (errno set) */
#define	T_FILE_READ	8	/* error during read (errno set) */
#define	T_FILE_CLOSE	9	/* cannot close code-file (errno set) */
